package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

public class MtbInvenr extends EntityBase {

    private Long idInventario;
    private Integer idRiga;
    private String codMdep;
    private String codMart;
    private String codCol;
    private String codTagl;
    private BigDecimal qtaInv;
    private LocalDateTime dataOraInv;
    private BigDecimal costoInv;
    private BigDecimal giacenzaConf;
    private BigDecimal giacenzaDb;
    private String idDisp;
    private Date dataCreate;
    private BigDecimal numConf;
    private String partitaMag;
    private String scanCodBarre;
    private String zona;
    private Date dataInventario;
    private String regolaCalcoloCosto;
    private Date dataScadPartitaMag;
    private MtbPartitaMag mtbPartitaMag;

    public MtbInvenr() {
        type = "mtb_invenr";
    }

    public Long getIdInventario() {
        return idInventario;
    }

    public void setIdInventario(Long idInventario) {
        this.idInventario = idInventario;
    }

    public Integer getIdRiga() {
        return idRiga;
    }

    public void setIdRiga(Integer idRiga) {
        this.idRiga = idRiga;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public void setCodMdep(String codMdep) {
        this.codMdep = codMdep;
    }

    public String getCodMart() {
        return codMart;
    }

    public void setCodMart(String codMart) {
        this.codMart = codMart;
    }

    public String getCodCol() {
        return codCol;
    }

    public void setCodCol(String codCol) {
        this.codCol = codCol;
    }

    public String getCodTagl() {
        return codTagl;
    }

    public void setCodTagl(String codTagl) {
        this.codTagl = codTagl;
    }

    public BigDecimal getQtaInv() {
        return qtaInv;
    }

    public void setQtaInv(BigDecimal qtaInv) {
        this.qtaInv = qtaInv;
    }

    public LocalDateTime getDataOraInv() {
        return dataOraInv;
    }

    public void setDataOraInv(LocalDateTime dataOraInv) {
        this.dataOraInv = dataOraInv;
    }

    public BigDecimal getCostoInv() {
        return costoInv;
    }

    public void setCostoInv(BigDecimal costoInv) {
        this.costoInv = costoInv;
    }

    public BigDecimal getGiacenzaConf() {
        return giacenzaConf;
    }

    public void setGiacenzaConf(BigDecimal giacenzaConf) {
        this.giacenzaConf = giacenzaConf;
    }

    public BigDecimal getGiacenzaDb() {
        return giacenzaDb;
    }

    public void setGiacenzaDb(BigDecimal giacenzaDb) {
        this.giacenzaDb = giacenzaDb;
    }

    public String getIdDisp() {
        return idDisp;
    }

    public void setIdDisp(String idDisp) {
        this.idDisp = idDisp;
    }

    public Date getDataCreate() {
        return dataCreate;
    }

    public void setDataCreate(Date dataCreate) {
        this.dataCreate = dataCreate;
    }

    public BigDecimal getNumConf() {
        return numConf;
    }

    public void setNumConf(BigDecimal numConf) {
        this.numConf = numConf;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public void setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
    }

    public String getScanCodBarre() {
        return scanCodBarre;
    }

    public void setScanCodBarre(String scanCodBarre) {
        this.scanCodBarre = scanCodBarre;
    }

    public String getZona() {
        return zona;
    }

    public void setZona(String zona) {
        this.zona = zona;
    }

    public Date getDataInventario() {
        return dataInventario;
    }

    public void setDataInventario(Date dataInventario) {
        this.dataInventario = dataInventario;
    }

    public String getRegolaCalcoloCosto() {
        return regolaCalcoloCosto;
    }

    public void setRegolaCalcoloCosto(String regolaCalcoloCosto) {
        this.regolaCalcoloCosto = regolaCalcoloCosto;
    }

    public Date getDataScadPartitaMag() {
        return dataScadPartitaMag;
    }

    public void setDataScadPartitaMag(Date dataScadPartitaMag) {
        this.dataScadPartitaMag = dataScadPartitaMag;
    }

    public MtbPartitaMag getMtbPartitaMag() {
        return mtbPartitaMag;
    }

    public void setMtbPartitaMag(MtbPartitaMag mtbPartitaMag) {
        this.mtbPartitaMag = mtbPartitaMag;
    }
}
